%{!?scl:%global scl autotools-latest}

%{?scl:%scl_package autoconf}

Summary:    A GNU tool for automatically configuring source code
Name:       %{scl_prefix}autoconf
Version:    2.69
Release:    1%{?dist}
License:    GPLv2+ and GFDL
Group:      Development/Tools
Source0:    http://ftpmirror.gnu.org/autoconf/autoconf-%{version}.tar.gz
URL:        http://www.gnu.org/software/autoconf/
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# run "make check" by default
%bcond_with check

# m4 >= 1.4.6 is required, >= 1.4.14 is recommended;  We have 1.4.5 in rhel5,
# 1.4.13 in rhel6, so don't build for el5 yet - this requires workaround with
# probably empty 'm4' SCLized package for OK platforms, don't know what is
# proper way.
BuildRequires:      m4 >= 1.4.6, help2man
Requires:           m4 >= 1.4.6
BuildRequires:      emacs

%if 0%{?fedora} >= 20 || 0%{?rhel} >= 7
BuildRequires: perl-macros
%else
BuildRequires: perl-devel
%endif

BuildRequires:      perl(Data::Dumper)
# from f19, Text::ParseWords is not the part of 'perl' package
BuildRequires:      perl(Text::ParseWords)
%{?scl:
BuildRequires: scl-utils-build
Requires:%scl_runtime
}

%if %{with check}
# For extended testsuite coverage
BuildRequires:      gcc-gfortran
%if 0%{?fedora} >= 15
BuildRequires:      erlang
%endif
%endif

Requires(post):     /sbin/install-info
Requires(preun):    /sbin/install-info

# filter out bogus perl(Autom4te*) dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Autom4te::
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Autom4te::

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to
specify various configuration options.

You should install Autoconf if you are developing software and
would like to create shell scripts that configure your source code
packages. If you are installing Autoconf, you will also need to
install the GNU m4 package.

Note that the Autoconf package is not required for the end-user who
may be configuring software with an Autoconf-generated script;
Autoconf is only required for the generation of the scripts, not
their use.

%prep
%setup -q -n autoconf-%{version}

%build
%configure
# not parallel safe
make

%check
%if %{with check}
make check # TESTSUITEFLAGS='1-198 200-' # will disable nr. 199.
%endif

%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/share

%post
/sbin/install-info %{_infodir}/autoconf.info %{_infodir}/dir || :

%preun
if [ "$1" = 0 ]; then
    /sbin/install-info --del %{_infodir}/autoconf.info %{_infodir}/dir || :
fi

%files
%{_bindir}/*
%{_infodir}/autoconf.info*
# don't include standards.info, because it comes from binutils...
%exclude %{_infodir}/standards*
# don't include info's TOP directory
%exclude %{_infodir}/dir
%{_datadir}/autoconf/
%dir %{_datadir}/emacs/
%{_datadir}/emacs/site-lisp/
%{_mandir}/man1/*
%doc AUTHORS COPYING* ChangeLog NEWS README THANKS TODO

%changelog
* Fri Mar 21 2014 Pavel Raiskup <praiskup@redhat.com> - 2.69-1
- copy SCL-ized spec from autotools-git repo
